use32

; =============================================================================
; Syntax:      (reserved token name "error")
; Description: For internal use. Gets called in the case that a syntax error appeared.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 3 bytes)
; =============================================================================
; 2B C0 C3 (3.0.4 Original ASM)

db "error", 0, 0, 0
dw FUNC0_END - FUNC0_START

FUNC0_START:
db 43, 192, 195
FUNC0_END:

; =============================================================================
; Syntax:      (reserved token name "prolog")
; Description: For internal use. Gets called at the beginning of the compiled channel asm code.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 8 bytes)
; =============================================================================
; 55 56 57 54 8B 7C 24 14 (3.0.4 Original ASM)

db "prolog", 0, 0
dw FUNC1_END - FUNC1_START

FUNC1_START:
db 85, 86, 87, 84, 139, 124, 36, 20
FUNC1_END:

; =============================================================================
; Syntax:      (reserved token name "epilog")
; Description: For internal use. Gets called at the end of the compiled channel asm code.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; 58 5C 5F 5E 5D C3 (3.0.4 Original ASM)

db "epilog", 0, 0
dw FUNC2_END - FUNC2_START

FUNC2_START:
db 88, 92, 95, 94, 93, 195
FUNC2_END:

; =============================================================================
; Syntax:      (reserved token name "number")
; Description: For internal use. ASM-Prefix to every number. The number itself is +4 byte ASM size.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 1+4 bytes)
; =============================================================================
; 68 __ __ __ __ (3.0.4 Original ASM)

db "number", 0, 0
dw FUNC3_END - FUNC3_START

FUNC3_START:
db 104  ; the next 4 bytes will be added by the program
FUNC3_END:

; =============================================================================
; Syntax:      a,b
; Description: Inside a function: Separates two expressions.
;              Outside a function: "Forget everything" and start over again.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 1 byte)
; =============================================================================
; 58 (3.0.4 Original ASM)

db ",", 0, 0, 0, 0, 0, 0, 0
dw FUNC4_END - FUNC4_START

FUNC4_START:
db 88
FUNC4_END:

; =============================================================================
; Syntax:      a?b:c
; Description: If a then b else c
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 11 bytes)
; =============================================================================
; 58 5B 59 83 F9 00 74 02 8B C3 50 (3.0.4 Original ASM)

db "?", 0, 0, 0, 0, 0, 0, 0
dw FUNC5_END - FUNC5_START

FUNC5_START:
db 88, 91, 89, 131, 249, 0, 116, 2, 139, 195, 80
FUNC5_END:

; =============================================================================
; Syntax:      !a
; Description: Logical "not"
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 9 bytes)
; =============================================================================
; 58 83 F8 01 1B C0 F7 D8 50 (3.0.4 Original ASM)

db "!", 0, 0, 0, 0, 0, 0, 0
dw FUNC6_END - FUNC6_START

FUNC6_START:
db 88, 131, 248, 1, 27, 192, 247, 216, 80
FUNC6_END:

; =============================================================================
; Syntax:      a&&b
; Description: Logical "and"
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 19 bytes)
; =============================================================================
; 58 5B 83 F8 00 B8 00 00 00 00 74 06 83 FB 00 74 01 40 50 (3.0.4 Original ASM)

db "&&", 0, 0, 0, 0, 0, 0
dw FUNC7_END - FUNC7_START

FUNC7_START:
db 88, 91, 131, 248, 0, 184, 0, 0, 0, 0, 116, 6, 131, 251, 0, 116, 1, 64, 80
FUNC7_END:

; =============================================================================
; Syntax:      a||b
; Description: Logical "or"
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 19 bytes)
; =============================================================================
; 58 5B 83 F8 00 B8 00 00 00 00 75 05 83 FB 00 74 01 40 50 (3.0.4 Original ASM)

db "||", 0, 0, 0, 0, 0, 0
dw FUNC8_END - FUNC8_START

FUNC8_START:
db 88, 91, 131, 248, 0, 184, 0, 0, 0, 0, 117, 5, 131, 251, 0, 116, 1, 64, 80
FUNC8_END:

; =============================================================================
; Syntax:      ~a
; Description: Bitwise "not"
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 58 F7 D0 50 (3.0.4 Original ASM)

db "~", 0, 0, 0, 0, 0, 0, 0
dw FUNC9_END - FUNC9_START

FUNC9_START:
db 88, 247, 208, 80
FUNC9_END:

; =============================================================================
; Syntax:      a&b
; Description: Bitwise "and"
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 5 bytes)
; =============================================================================
; 58 5B 23 C3 50 (3.0.4 Original ASM)

db "&", 0, 0, 0, 0, 0, 0, 0
dw FUNC10_END - FUNC10_START

FUNC10_START:
db 88, 91, 35, 195, 80
FUNC10_END:

; =============================================================================
; Syntax:      a|b
; Description: Bitwise "or"
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 5 bytes)
; =============================================================================
; 58 5B 0B C3 50 (3.0.4 Original ASM)

db "|", 0, 0, 0, 0, 0, 0, 0
dw FUNC11_END - FUNC11_START

FUNC11_START:
db 88, 91, 11, 195, 80
FUNC11_END:

; =============================================================================
; Syntax:      a^b
; Description: Bitwise "xor"
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 5 bytes)
; =============================================================================
; 58 5B 33 C3 50 (3.0.4 Original ASM)

db "^", 0, 0, 0, 0, 0, 0, 0
dw FUNC12_END - FUNC12_START

FUNC12_START:
db 88, 91, 51, 195, 80
FUNC12_END:

; =============================================================================
; Syntax:      a==b
; Description: Equal?
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 13 bytes)
; =============================================================================
; 58 5B 3B C3 B8 00 00 00 00 0F 94 C0 50 (3.0.4 Original ASM)

db "==", 0, 0, 0, 0, 0, 0
dw FUNC13_END - FUNC13_START

FUNC13_START:
db 88, 91, 59, 195, 184, 0, 0, 0, 0, 15, 148, 192, 80
FUNC13_END:

; =============================================================================
; Syntax:      a!=b
; Description: Not equal?
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 13 bytes)
; =============================================================================
; 58 5B 3B C3 B8 00 00 00 00 0F 95 C0 50 (3.0.4 Original ASM)

db "!=", 0, 0, 0, 0, 0, 0
dw FUNC14_END - FUNC14_START

FUNC14_START:
db 88, 91, 59, 195, 184, 0, 0, 0, 0, 15, 149, 192, 80
FUNC14_END:

; =============================================================================
; Syntax:      a<b
; Description: a smaller than b?
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 13 bytes)
; =============================================================================
; 58 5B 3B C3 B8 00 00 00 00 0F 9F C0 50 (3.0.4 Original ASM)

db "<", 0, 0, 0, 0, 0, 0, 0
dw FUNC15_END - FUNC15_START

FUNC15_START:
db 88, 91, 59, 195, 184, 0, 0, 0, 0, 15, 159, 192, 80
FUNC15_END:

; =============================================================================
; Syntax:      a<=b
; Description: a smaller or equal to b?
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 13 bytes)
; =============================================================================
; 58 5B 3B C3 B8 00 00 00 00 0F 9D C0 50 (3.0.4 Original ASM)

db "<=", 0, 0, 0, 0, 0, 0
dw FUNC16_END - FUNC16_START

FUNC16_START:
db 88, 91, 59, 195, 184, 0, 0, 0, 0, 15, 157, 192, 80
FUNC16_END:

; =============================================================================
; Syntax:      a>b
; Description: a greater than b?
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 13 bytes)
; =============================================================================
; 58 5B 3B C3 B8 00 00 00 00 0F 9C C0 50 (3.0.4 Original ASM)

db ">", 0, 0, 0, 0, 0, 0, 0
dw FUNC17_END - FUNC17_START

FUNC17_START:
db 88, 91, 59, 195, 184, 0, 0, 0, 0, 15, 156, 192, 80
FUNC17_END:

; =============================================================================
; Syntax:      a>=b
; Description: a greater or equal b?
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 13 bytes)
; =============================================================================
; 58 5B 3B C3 B8 00 00 00 00 0F 9E C0 50 (3.0.4 Original ASM)

db ">=", 0, 0, 0, 0, 0, 0
dw FUNC18_END - FUNC18_START

FUNC18_START:
db 88, 91, 59, 195, 184, 0, 0, 0, 0, 15, 158, 192, 80
FUNC18_END:

; =============================================================================
; Syntax:      a<<b
; Description: Left shift
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 5 bytes)
; =============================================================================
; 59 58 D3 E0 50 (3.0.4 Original ASM)

db "<<", 0, 0, 0, 0, 0, 0
dw FUNC19_END - FUNC19_START

FUNC19_START:
db 89, 88, 211, 224, 80
FUNC19_END:

; =============================================================================
; Syntax:      a>>b
; Description: Right shift
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 5 bytes)
; =============================================================================
; 59 58 D3 E8 50 (3.0.4 Original ASM)

db ">>", 0, 0, 0, 0, 0, 0
dw FUNC20_END - FUNC20_START

FUNC20_START:
db 89, 88, 211, 232, 80
FUNC20_END:

; =============================================================================
; Syntax:      (reserved token name "negate")
; Description: For internal use only. The real sign is "-a".
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 58 F7 D8 50 (3.0.4 Original ASM)

db "negate", 0, 0
dw FUNC21_END - FUNC21_START

FUNC21_START:
db 88, 247, 216, 80
FUNC21_END:

; =============================================================================
; Syntax:      a+b
; Description: Add
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 5 bytes)
; =============================================================================
; 58 5B 03 C3 50 (3.0.4 Original ASM)

db "+", 0, 0, 0, 0, 0, 0, 0
dw FUNC22_END - FUNC22_START

FUNC22_START:
db 88, 91, 3, 195, 80
FUNC22_END:

; =============================================================================
; Syntax:      a-b
; Description: Minus
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 5 bytes)
; =============================================================================
; 5B 58 2B C3 50 (3.0.4 Original ASM)

db "-", 0, 0, 0, 0, 0, 0, 0
dw FUNC23_END - FUNC23_START

FUNC23_START:
db 91, 88, 43, 195, 80
FUNC23_END:

; =============================================================================
; Syntax:      a*b
; Description: Multiply
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; 58 5B 0F AF C3 50 (3.0.4 Original ASM)

db "*", 0, 0, 0, 0, 0, 0, 0
dw FUNC24_END - FUNC24_START

FUNC24_START:
db 88, 91, 15, 175, 195, 80
FUNC24_END:

; =============================================================================
; Syntax:      a/b
; Description: Division
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 14 bytes)
; =============================================================================
; 5B 58 0B DB 75 04 2B C0 EB 03 99 F7 FB 50 (3.0.4 Original ASM)

db "/", 0, 0, 0, 0, 0, 0, 0
dw FUNC25_END - FUNC25_START

FUNC25_START:
db 91, 88, 11, 219, 117, 4, 43, 192, 235, 3, 153, 247, 251, 80
FUNC25_END:

; =============================================================================
; Syntax:      a%b
; Description: Modulo
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 14 bytes)
; =============================================================================
; 5B 58 0B DB 75 04 2B D2 EB 03 99 F7 FB 52 (3.0.4 Original ASM)

db "%", 0, 0, 0, 0, 0, 0, 0
dw FUNC26_END - FUNC26_START

FUNC26_START:
db 91, 88, 11, 219, 117, 4, 43, 210, 235, 3, 153, 247, 251, 82
FUNC26_END:

; =============================================================================
; Syntax:      r
; Description: Current pixel's red channel value
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 3 bytes)
; =============================================================================
; 8B 07 50 (3.0.4 Original ASM)

db "r", 0, 0, 0, 0, 0, 0, 0
dw FUNC27_END - FUNC27_START

FUNC27_START:
db 139, 7, 80
FUNC27_END:

; =============================================================================
; Syntax:      g
; Description: Current pixel's green channel value
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 04 50 (3.0.4 Original ASM)

db "g", 0, 0, 0, 0, 0, 0, 0
dw FUNC28_END - FUNC28_START

FUNC28_START:
db 139, 71, 4, 80
FUNC28_END:

; =============================================================================
; Syntax:      b
; Description: Current pixel's blue channel value
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 08 50 (3.0.4 Original ASM)

db "b", 0, 0, 0, 0, 0, 0, 0
dw FUNC29_END - FUNC29_START

FUNC29_START:
db 139, 71, 8, 80
FUNC29_END:

; =============================================================================
; Syntax:      a
; Description: Current pixel's alpha channel value
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 0C 50 (3.0.4 Original ASM)

db "a", 0, 0, 0, 0, 0, 0, 0
dw FUNC30_END - FUNC30_START

FUNC30_START:
db 139, 71, 12, 80
FUNC30_END:

; =============================================================================
; Syntax:      c
; Description: Value of the current channel, whichever channel the expression is defining
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 10 bytes)
; =============================================================================
; 8B 47 58 2B 47 5C 8B 04 87 50 (3.0.4 Original ASM)

db "c", 0, 0, 0, 0, 0, 0, 0
dw FUNC31_END - FUNC31_START

FUNC31_START:
db 139, 71, 88, 43, 71, 92, 139, 4, 135, 80
FUNC31_END:

; =============================================================================
; Syntax:      i
; Description: Y value of the YUV color space
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 55 bytes)
; =============================================================================
; 8B 77 04 8D 34 B6 03 F6 8D 34 76 8D 34 B6 8B 4F 08 8B D1 C1 E1 03 2B CA 8D 0C 8A 03 F1 8B 07 8B C8 8D 04 C0 8D 04 41 8D 04 86 99 81 E2 FF 00 00 00 03 C2 C1 F8 08 50 (3.0.4 Original ASM)

db "i", 0, 0, 0, 0, 0, 0, 0
dw FUNC32_END - FUNC32_START

FUNC32_START:
db 139, 119, 4, 141, 52, 182, 3, 246, 141, 52, 118, 141, 52, 182, 139, 79, 8, 139, 209, 193, 225, 3, 43, 202, 141, 12, 138, 3, 241, 139, 7, 139, 200, 141, 4, 192, 141, 4, 65, 141, 4, 134, 153, 129, 226, 255, 0, 0, 0, 3, 194, 193, 248, 8, 80
FUNC32_END:

; =============================================================================
; Syntax:      u
; Description: U value of the YUV color space
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 51 bytes)
; =============================================================================
; 8B 77 04 8B C6 8D 34 F6 8D 34 B0 F7 DE 8B 07 8B C8 8D 04 C0 8D 04 41 2B F0 8B 47 08 8B C8 C1 E0 03 2B C1 8D 04 C6 99 81 E2 FF 00 00 00 03 C2 C1 F8 08 50 (3.0.4 Original ASM)

db "u", 0, 0, 0, 0, 0, 0, 0
dw FUNC33_END - FUNC33_START

FUNC33_START:
db 139, 119, 4, 139, 198, 141, 52, 246, 141, 52, 176, 247, 222, 139, 7, 139, 200, 141, 4, 192, 141, 4, 65, 43, 240, 139, 71, 8, 139, 200, 193, 224, 3, 43, 193, 141, 4, 198, 153, 129, 226, 255, 0, 0, 0, 3, 194, 193, 248, 8, 80
FUNC33_END:

; =============================================================================
; Syntax:      v
; Description: V value of the YUV color space
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 39 bytes)
; =============================================================================
; 8B 17 8D 14 52 03 D2 8B 4F 04 8D 0C 89 2B D1 2B 57 08 8B C2 8D 14 52 8D 04 90 99 81 E2 FF 00 00 00 03 C2 C1 F8 08 50 (3.0.4 Original ASM)

db "v", 0, 0, 0, 0, 0, 0, 0
dw FUNC34_END - FUNC34_START

FUNC34_START:
db 139, 23, 141, 20, 82, 3, 210, 139, 79, 4, 141, 12, 137, 43, 209, 43, 87, 8, 139, 194, 141, 20, 82, 141, 4, 144, 153, 129, 226, 255, 0, 0, 0, 3, 194, 193, 248, 8, 80
FUNC34_END:

; =============================================================================
; Syntax:      d
; Description: Direction (angle) of the current pixel from the center of the image, where d is an integer between 0 and 1024, inclusive
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 117 bytes)
; =============================================================================
; 8B 47 54 8B 5F 48 2B 47 50 2B 5F 44 D1 E8 D1 EB F7 D8 F7 DB 33 C9 03 47 4C 79 05 F7 D8 80 C9 04 03 5F 40 79 05 F7 DB 80 C9 03 3B C3 7E 04 80 F1 01 93 0B C0 7E 1B C1 E0 0A 99 F7 F3 74 13 66 8B 84 47 76 0D 00 00 C1 E0 09 99 BB 40 24 03 00 F7 FB 66 0F BA E1 00 73 07 F7 D8 05 00 01 00 00 66 0F BA E1 01 73 05 05 00 01 00 00 66 0F BA E1 02 73 02 F7 D8 50 (3.0.4 Original ASM)

db "d", 0, 0, 0, 0, 0, 0, 0
dw FUNC35_END - FUNC35_START

FUNC35_START:
db 139, 71, 84, 139, 95, 72, 43, 71, 80, 43, 95, 68, 209, 232, 209, 235, 247, 216, 247, 219, 51, 201, 3, 71, 76, 121, 5, 247, 216, 128, 201, 4, 3, 95, 64, 121, 5, 247, 219, 128, 201, 3, 59, 195, 126, 4, 128, 241, 1, 147, 11, 192, 126, 27, 193, 224, 10, 153, 247, 243, 116, 19, 102, 139, 132, 71, 118, 13, 0, 0, 193, 224, 9, 153, 187, 64, 36, 3, 0, 247, 251, 102, 15, 186, 225, 0, 115, 7, 247, 216, 5, 0, 1, 0, 0, 102, 15, 186, 225, 1, 115, 5, 5, 0, 1, 0, 0, 102, 15, 186, 225, 2, 115, 2, 247, 216, 80
FUNC35_END:

; =============================================================================
; Syntax:      m
; Description: Distance (magnitude) from the center of the image to the current pixel
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 77 bytes)
; =============================================================================
; 8B 47 44 8B 5F 50 2B 47 48 2B 5F 54 D1 F8 D1 FB 03 47 40 03 5F 4C 8B D0 C1 FA 1F 33 C2 2B C2 8B D3 C1 FA 1F 33 DA 2B DA 3B C3 75 07 B8 0A 6A 00 00 EB 11 7E 01 93 C1 E0 0A 99 F7 F3 0F B7 84 47 78 15 00 00 F7 E3 0F AC D0 10 03 C3 50 (3.0.4 Original ASM)

db "m", 0, 0, 0, 0, 0, 0, 0
dw FUNC36_END - FUNC36_START

FUNC36_START:
db 139, 71, 68, 139, 95, 80, 43, 71, 72, 43, 95, 84, 209, 248, 209, 251, 3, 71, 64, 3, 95, 76, 139, 208, 193, 250, 31, 51, 194, 43, 194, 139, 211, 193, 250, 31, 51, 218, 43, 218, 59, 195, 117, 7, 184, 10, 106, 0, 0, 235, 17, 126, 1, 147, 193, 224, 10, 153, 247, 243, 15, 183, 132, 71, 120, 21, 0, 0, 247, 227, 15, 172, 208, 16, 3, 195, 80
FUNC36_END:

; =============================================================================
; Syntax:      R
; Description: Max channel value for r; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "R", 0, 0, 0, 0, 0, 0, 0
dw FUNC37_END - FUNC37_START

FUNC37_START:
db 184, 255, 0, 0, 0, 80
FUNC37_END:

; =============================================================================
; Syntax:      G
; Description: Max channel value for g; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "G", 0, 0, 0, 0, 0, 0, 0
dw FUNC38_END - FUNC38_START

FUNC38_START:
db 184, 255, 0, 0, 0, 80
FUNC38_END:

; =============================================================================
; Syntax:      B
; Description: Max channel value for b; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "B", 0, 0, 0, 0, 0, 0, 0
dw FUNC39_END - FUNC39_START

FUNC39_START:
db 184, 255, 0, 0, 0, 80
FUNC39_END:

; =============================================================================
; Syntax:      A
; Description: Max channel value for a; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "A", 0, 0, 0, 0, 0, 0, 0
dw FUNC40_END - FUNC40_START

FUNC40_START:
db 184, 255, 0, 0, 0, 80
FUNC40_END:

; =============================================================================
; Syntax:      I
; Description: Max channel value for i; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "I", 0, 0, 0, 0, 0, 0, 0
dw FUNC41_END - FUNC41_START

FUNC41_START:
db 184, 255, 0, 0, 0, 80
FUNC41_END:

; =============================================================================
; Syntax:      U
; Description: Max channel value for u; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "U", 0, 0, 0, 0, 0, 0, 0
dw FUNC42_END - FUNC42_START

FUNC42_START:
db 184, 255, 0, 0, 0, 80
FUNC42_END:

; =============================================================================
; Syntax:      V
; Description: Max channel value for v; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "V", 0, 0, 0, 0, 0, 0, 0
dw FUNC43_END - FUNC43_START

FUNC43_START:
db 184, 255, 0, 0, 0, 80
FUNC43_END:

; =============================================================================
; Syntax:      C
; Description: Max channel value for c; always 255
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 FF 00 00 00 50 (3.0.4 Original ASM)

db "C", 0, 0, 0, 0, 0, 0, 0
dw FUNC44_END - FUNC44_START

FUNC44_START:
db 184, 255, 0, 0, 0, 80
FUNC44_END:

; =============================================================================
; Syntax:      D
; Description: Range of angles within the image, where dmin is always 0 and D is always 1024
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 00 04 00 00 50 (3.0.4 Original ASM)

db "D", 0, 0, 0, 0, 0, 0, 0
dw FUNC45_END - FUNC45_START

FUNC45_START:
db 184, 0, 4, 0, 0, 80
FUNC45_END:

; =============================================================================
; Syntax:      M
; Description: Range of magnitudes with the image, where mmin is always 0 and M is always one half the diagonal size of the image
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 53 bytes)
; =============================================================================
; 8B 47 48 8B 5F 54 2B 47 44 2B 5F 50 D1 F8 D1 FB 3B C3 75 07 B8 0A 6A 00 00 EB 11 7E 01 93 C1 E0 0A 99 F7 F3 0F B7 84 47 78 15 00 00 F7 E3 0F AC D0 10 03 C3 50 (3.0.4 Original ASM)

db "M", 0, 0, 0, 0, 0, 0, 0
dw FUNC46_END - FUNC46_START

FUNC46_START:
db 139, 71, 72, 139, 95, 84, 43, 71, 68, 43, 95, 80, 209, 248, 209, 251, 59, 195, 117, 7, 184, 10, 106, 0, 0, 235, 17, 126, 1, 147, 193, 224, 10, 153, 247, 243, 15, 183, 132, 71, 120, 21, 0, 0, 247, 227, 15, 172, 208, 16, 3, 195, 80
FUNC46_END:

; =============================================================================
; Syntax:      x
; Description: x coordinate of the current pixel
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 40 50 (3.0.4 Original ASM)

db "x", 0, 0, 0, 0, 0, 0, 0
dw FUNC47_END - FUNC47_START

FUNC47_START:
db 139, 71, 64, 80
FUNC47_END:

; =============================================================================
; Syntax:      y
; Description: y coordinate of the current pixel
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 4C 50 (3.0.4 Original ASM)

db "y", 0, 0, 0, 0, 0, 0, 0
dw FUNC48_END - FUNC48_START

FUNC48_START:
db 139, 71, 76, 80
FUNC48_END:

; =============================================================================
; Syntax:      z
; Description: Channel index for the current expression
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 58 50 (3.0.4 Original ASM)

db "z", 0, 0, 0, 0, 0, 0, 0
dw FUNC49_END - FUNC49_START

FUNC49_START:
db 139, 71, 88, 80
FUNC49_END:

; =============================================================================
; Syntax:      X
; Description: Range of horizontal coordinates over the width of the image
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 48 50 (3.0.4 Original ASM)

db "X", 0, 0, 0, 0, 0, 0, 0
dw FUNC50_END - FUNC50_START

FUNC50_START:
db 139, 71, 72, 80
FUNC50_END:

; =============================================================================
; Syntax:      Y
; Description: Range of vertical coordinates over the height of the image
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 54 50 (3.0.4 Original ASM)

db "Y", 0, 0, 0, 0, 0, 0, 0
dw FUNC51_END - FUNC51_START

FUNC51_START:
db 139, 71, 84, 80
FUNC51_END:

; =============================================================================
; Syntax:      Z
; Description: Range of channel indexes within one pixel
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 60 50 (3.0.4 Original ASM)

db "Z", 0, 0, 0, 0, 0, 0, 0
dw FUNC52_END - FUNC52_START

FUNC52_START:
db 139, 71, 96, 80
FUNC52_END:

; =============================================================================
; Syntax:      xmin
; Description: Smallest x coodinate; always 0
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 44 50 (3.0.4 Original ASM)

db "xmin", 0, 0, 0, 0
dw FUNC53_END - FUNC53_START

FUNC53_START:
db 139, 71, 68, 80
FUNC53_END:

; =============================================================================
; Syntax:      ymin
; Description: Smallest y coodinate; always 0
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 50 50 (3.0.4 Original ASM)

db "ymin", 0, 0, 0, 0
dw FUNC54_END - FUNC54_START

FUNC54_START:
db 139, 71, 80, 80
FUNC54_END:

; =============================================================================
; Syntax:      zmin
; Description: Smallest z coodinate; always 0
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 4 bytes)
; =============================================================================
; 8B 47 5C 50 (3.0.4 Original ASM)

db "zmin", 0, 0, 0, 0
dw FUNC55_END - FUNC55_START

FUNC55_START:
db 139, 71, 92, 80
FUNC55_END:

; =============================================================================
; Syntax:      rmin
; Description: Smallest red value; always 0
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 3 bytes)
; =============================================================================
; 2B C0 50 (3.0.4 Original ASM)

db "rmin", 0, 0, 0, 0
dw FUNC56_END - FUNC56_START

FUNC56_START:
db 43, 192, 80
FUNC56_END:

; =============================================================================
; Syntax:      tmax
; Description: Total number of frames (used only in Adobe Premiere). always returns 1. 
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 6 bytes)
; =============================================================================
; B8 01 00 00 00 50 (3.0.4 Original ASM)

db "tmax", 0, 0, 0, 0
dw FUNC57_END - FUNC57_START

FUNC57_START:
db 184, 1, 0, 0, 0, 80
FUNC57_END:

; =============================================================================
; Syntax:      min(a,b)
; Description: Lesser of a and b
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 9 bytes)
; =============================================================================
; 58 59 3B C1 7C 02 8B C1 50 (3.0.4 Original ASM)

db "min", 0, 0, 0, 0, 0
dw FUNC58_END - FUNC58_START

FUNC58_START:
db 88, 89, 59, 193, 124, 2, 139, 193, 80
FUNC58_END:

; =============================================================================
; Syntax:      max(a,b)
; Description: Greater of a and b
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 9 bytes)
; =============================================================================
; 58 59 3B C1 7F 02 8B C1 50 (3.0.4 Original ASM)

db "max", 0, 0, 0, 0, 0
dw FUNC59_END - FUNC59_START

FUNC59_START:
db 88, 89, 59, 193, 127, 2, 139, 193, 80
FUNC59_END:

; =============================================================================
; Syntax:      abs(a)
; Description: Absolute value of a.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 7 bytes)
; =============================================================================
; 58 99 33 C2 2B C2 50 (3.0.4 Original ASM)

db "abs", 0, 0, 0, 0, 0
dw FUNC60_END - FUNC60_START

FUNC60_START:
db 88, 153, 51, 194, 43, 194, 80
FUNC60_END:

; =============================================================================
; Syntax:      add(a,b,c)
; Description: Sum of a and b, or c, whichever is lesser
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 12 bytes)
; =============================================================================
; 59 5B 58 03 C3 3B C1 7C 02 8B C1 50 (3.0.4 Original ASM)

db "add", 0, 0, 0, 0, 0
dw FUNC61_END - FUNC61_START

FUNC61_START:
db 89, 91, 88, 3, 195, 59, 193, 124, 2, 139, 193, 80
FUNC61_END:

; =============================================================================
; Syntax:      sub(a,b,c)
; Description: Difference of a and b, or c, whichever is greater
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 12 bytes)
; =============================================================================
; 59 5B 58 2B C3 3B C1 7F 02 8B C1 50 (3.0.4 Original ASM)

db "sub", 0, 0, 0, 0, 0
dw FUNC62_END - FUNC62_START

FUNC62_START:
db 89, 91, 88, 43, 195, 59, 193, 127, 2, 139, 193, 80
FUNC62_END:

; =============================================================================
; Syntax:      dif(a,b)
; Description: Absolute value of the difference of a and b
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 10 bytes)
; =============================================================================
; 58 5B 2B C3 99 33 C2 2B C2 50 (3.0.4 Original ASM)

db "dif", 0, 0, 0, 0, 0
dw FUNC63_END - FUNC63_START

FUNC63_START:
db 88, 91, 43, 195, 153, 51, 194, 43, 194, 80
FUNC63_END:

; =============================================================================
; Syntax:      mix(a,b,n,d)
; Description: Mixture of a and b by fraction n/d, a*n/d+b*(d-n)/d
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 32 bytes)
; =============================================================================
; 5B 59 5A 5E 0B DB B8 00 00 00 00 74 12 8B C3 2B C1 F7 EA F7 FB 8B E8 8B C1 F7 EE F7 FB 03 C5 50 (3.0.4 Original ASM)

db "mix", 0, 0, 0, 0, 0
dw FUNC64_END - FUNC64_START

FUNC64_START:
db 91, 89, 90, 94, 11, 219, 184, 0, 0, 0, 0, 116, 18, 139, 195, 43, 193, 247, 234, 247, 251, 139, 232, 139, 193, 247, 238, 247, 251, 3, 197, 80
FUNC64_END:

; =============================================================================
; Syntax:      scl(a,il,ih,ol,oh)
; Description: Scale a from input range (il to ih) to output range (ol to oh)
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 39 bytes)
; =============================================================================
; 8B 6C 24 08 8B 4C 24 0C 2B E9 8B C5 74 15 8B 04 24 8B 74 24 04 2B C6 8B 54 24 10 2B D1 F7 EA F7 FD 03 C6 83 C4 14 50 (3.0.4 Original ASM)

db "scl", 0, 0, 0, 0, 0
dw FUNC65_END - FUNC65_START

FUNC65_START:
db 139, 108, 36, 8, 139, 76, 36, 12, 43, 233, 139, 197, 116, 21, 139, 4, 36, 139, 116, 36, 4, 43, 198, 139, 84, 36, 16, 43, 209, 247, 234, 247, 253, 3, 198, 131, 196, 20, 80
FUNC65_END:

; =============================================================================
; Syntax:      sqr(x)
; Description: Square root of x
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 31 bytes)
; =============================================================================
; 5B 83 FB 01 7E 18 8B CB D1 EB B8 02 00 00 00 3B D8 7E 0B 8B C1 99 F7 F3 03 D8 D1 EB EB F1 53 (3.0.4 Original ASM)

db "sqr", 0, 0, 0, 0, 0
dw FUNC66_END - FUNC66_START

FUNC66_START:
db 91, 131, 251, 1, 126, 24, 139, 203, 209, 235, 184, 2, 0, 0, 0, 59, 216, 126, 11, 139, 193, 153, 247, 243, 3, 216, 209, 235, 235, 241, 83
FUNC66_END:

; =============================================================================
; Syntax:      rnd(a,b)
; Description: Random number between a and b, inclusive
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 82 bytes)
; =============================================================================
; 8D 9F 94 00 00 00 66 8B 43 02 66 40 66 3D 38 00 75 04 66 B8 01 00 66 89 43 02 66 8B 03 66 40 66 3D 38 00 75 04 66 B8 01 00 66 89 03 0F B7 03 8D 4C 83 04 8B 01 0F B6 53 02 2B 44 93 04 89 01 5E 59 2B F1 79 04 33 C0 EB 08 46 2B D2 F7 F6 8D 04 11 50 (3.0.4 Original ASM)

db "rnd", 0, 0, 0, 0, 0
dw FUNC67_END - FUNC67_START

FUNC67_START:
db 141, 159, 148, 0, 0, 0, 102, 139, 67, 2, 102, 64, 102, 61, 56, 0, 117, 4, 102, 184, 1, 0, 102, 137, 67, 2, 102, 139, 3, 102, 64, 102, 61, 56, 0, 117, 4, 102, 184, 1, 0, 102, 137, 3, 15, 183, 3, 141, 76, 131, 4, 139, 1, 15, 182, 83, 2, 43, 68, 147, 4, 137, 1, 94, 89, 43, 241, 121, 4, 51, 192, 235, 8, 70, 43, 210, 247, 246, 141, 4, 17, 80
FUNC67_END:

; =============================================================================
; Syntax:      rst(i)
; Description: UNDOCUMENTED! Sets a seed for rnd(). Parameter i has the range of 0..32767
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 10 bytes)
; =============================================================================
; 58 89 87 78 45 00 00 2B C0 50 (3.0.4 Original ASM)

db "rst", 0, 0, 0, 0, 0
dw FUNC68_END - FUNC68_START

FUNC68_START:
db 88, 137, 135, 120, 69, 0, 0, 43, 192, 80
FUNC68_END:

; =============================================================================
; Syntax:      ctl(i)
; Description: Value of slider i, where i is an integer between 0 and 7, inclusive.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 17 bytes)
; =============================================================================
; 5B 2B C0 0B DB 7C 09 83 FB 07 7F 04 8B 44 9F 64 50 (3.0.4 Original ASM)

db "ctl", 0, 0, 0, 0, 0
dw FUNC69_END - FUNC69_START

FUNC69_START:
db 91, 43, 192, 11, 219, 124, 9, 131, 251, 7, 127, 4, 139, 68, 159, 100, 80
FUNC69_END:

; =============================================================================
; Syntax:      val(i,a,b)
; Description: Value of slider i, mapped onto the range a to b
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 34 bytes)
; =============================================================================
; 59 5E 5B 2B C0 0B DB 7C 18 83 FB 07 7F 13 8B 44 9F 64 2B CE 0F AF C1 B9 FF 00 00 00 99 F7 F9 03 C6 50 (3.0.4 Original ASM)

db "val", 0, 0, 0, 0, 0
dw FUNC70_END - FUNC70_START

FUNC70_START:
db 89, 94, 91, 43, 192, 11, 219, 124, 24, 131, 251, 7, 127, 19, 139, 68, 159, 100, 43, 206, 15, 175, 193, 185, 255, 0, 0, 0, 153, 247, 249, 3, 198, 80
FUNC70_END:

; =============================================================================
; Syntax:      map(i,n)
; Description: Item n from mapping table i, where i is an integer between 0 and 3, inclusive, and n is and integer between 0 and 255, inclusive
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 48 bytes)
; =============================================================================
; 58 5B 0B DB 7C 27 83 FB 03 7F 22 0B C0 7D 04 2B C0 EB 0B B9 FF 00 00 00 3B C1 7E 02 8B C1 C1 E3 08 03 DF 0F B6 84 18 78 01 00 00 EB 02 2B C0 50 (3.0.4 Original ASM)

db "map", 0, 0, 0, 0, 0
dw FUNC71_END - FUNC71_START

FUNC71_START:
db 88, 91, 11, 219, 124, 39, 131, 251, 3, 127, 34, 11, 192, 125, 4, 43, 192, 235, 11, 185, 255, 0, 0, 0, 59, 193, 126, 2, 139, 193, 193, 227, 8, 3, 223, 15, 182, 132, 24, 120, 1, 0, 0, 235, 2, 43, 192, 80
FUNC71_END:

; =============================================================================
; Syntax:      src(x,y,z)
; Description: Channel z for the pixel at coordinates x,y
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 94 bytes)
; =============================================================================
; 5A 59 5B 3B 57 5C 7C 53 3B 57 60 7D 4E 8B 77 44 3B DE 7D 02 8B DE 8B 47 48 3B D8 7C 03 8D 58 FF 8B 47 50 3B C8 7D 02 8B C8 8B 47 54 3B C8 7C 03 8D 48 FF 8B 87 A8 45 00 00 2B 57 5C 03 C2 2B 4F 50 0F AF 8F A0 45 00 00 03 C1 2B DE 8B 57 60 2B 57 5C 0F AF DA 0F B6 04 18 EB 02 2B C0 50 (3.0.4 Original ASM)

db "src", 0, 0, 0, 0, 0
dw FUNC72_END - FUNC72_START

FUNC72_START:
db 90, 89, 91, 59, 87, 92, 124, 83, 59, 87, 96, 125, 78, 139, 119, 68, 59, 222, 125, 2, 139, 222, 139, 71, 72, 59, 216, 124, 3, 141, 88, 255, 139, 71, 80, 59, 200, 125, 2, 139, 200, 139, 71, 84, 59, 200, 124, 3, 141, 72, 255, 139, 135, 168, 69, 0, 0, 43, 87, 92, 3, 194, 43, 79, 80, 15, 175, 143, 160, 69, 0, 0, 3, 193, 43, 222, 139, 87, 96, 43, 87, 92, 15, 175, 218, 15, 182, 4, 24, 235, 2, 43, 192, 80
FUNC72_END:

; =============================================================================
; Syntax:      cnv(m11,m12,m13,m21,m22,m23,m31,m32,m33,d)
; Description: "Convolve". Applies a convolution matrix and divides with d.
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 187 bytes)
; =============================================================================
; 8B 04 24 0B C0 0F 84 AC 00 00 00 8B 8F A8 45 00 00 8B 47 58 2B 47 5C 03 C8 8B 47 4C 48 2B 47 50 F7 A7 A0 45 00 00 03 C8 8B 47 40 48 2B 47 44 8B 5F 60 2B 5F 5C F7 E3 03 C8 2B C0 8B D1 0F B6 32 0F AF 74 24 24 03 C6 03 D3 0F B6 32 0F AF 74 24 20 03 C6 03 D3 0F B6 32 0F AF 74 24 1C 03 C6 03 8F A0 45 00 00 8B D1 0F B6 32 0F AF 74 24 18 03 C6 03 D3 0F B6 32 0F AF 74 24 14 03 C6 03 D3 0F B6 32 0F AF 74 24 10 03 C6 03 8F A0 45 00 00 8B D1 0F B6 32 0F AF 74 24 0C 03 C6 03 D3 0F B6 32 0F AF 74 24 08 03 C6 03 D3 0F B6 32 0F AF 74 24 04 03 C6 99 F7 3C 24 83 C4 28 50 (3.0.4 Original ASM)

db "cnv", 0, 0, 0, 0, 0
dw FUNC73_END - FUNC73_START

FUNC73_START:
db 139, 4, 36, 11, 192, 15, 132, 172, 0, 0, 0, 139, 143, 168, 69, 0, 0, 139, 71, 88, 43, 71, 92, 3, 200, 139, 71, 76, 72, 43, 71, 80, 247, 167, 160, 69, 0, 0, 3, 200, 139, 71, 64, 72, 43, 71, 68, 139, 95, 96, 43, 95, 92, 247, 227, 3, 200, 43, 192, 139, 209, 15, 182, 50, 15, 175, 116, 36, 36, 3, 198, 3, 211, 15, 182, 50, 15, 175, 116, 36, 32, 3, 198, 3, 211, 15, 182, 50, 15, 175, 116, 36, 28, 3, 198, 3, 143, 160, 69, 0, 0, 139, 209, 15, 182, 50, 15, 175, 116, 36, 24, 3, 198, 3, 211, 15, 182, 50, 15, 175, 116, 36, 20, 3, 198, 3, 211, 15, 182, 50, 15, 175, 116, 36, 16, 3, 198, 3, 143, 160, 69, 0, 0, 139, 209, 15, 182, 50, 15, 175, 116, 36, 12, 3, 198, 3, 211, 15, 182, 50, 15, 175, 116, 36, 8, 3, 198, 3, 211, 15, 182, 50, 15, 175, 116, 36, 4, 3, 198, 153, 247, 60, 36, 131, 196, 40, 80
FUNC73_END:

; =============================================================================
; Syntax:      rad(d,m,z)
; Description: Channel z in the source image, which is m units away, at an angle of d, from the center of the image
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 158 bytes)
; =============================================================================
; 5E 8B 04 24 8B 5C 24 04 81 E3 FF 03 00 00 0F BF 9C 5F 78 05 00 00 F7 EB 05 FF 1F 00 00 83 D2 00 8B 4F 48 0F AC D0 0E 2B 4F 44 D1 E9 03 C8 0B C9 7D 04 2B C9 EB 0A 8B 47 48 3B C8 7C 03 8D 48 FF 58 5B 81 EB 00 01 00 00 81 E3 FF 03 00 00 0F BF 9C 5F 78 05 00 00 F7 EB 05 FF 1F 00 00 83 D2 00 8B 5F 54 0F AC D0 0E 2B 5F 50 D1 EB 03 D8 0B DB 7D 04 2B DB EB 0A 8B 47 54 3B D8 7C 03 8D 58 FF 8B 57 60 2B 57 5C 03 B7 A8 45 00 00 0F AF 9F A0 45 00 00 0F AF CA 33 C0 03 D9 8A 04 1E 50 (3.0.4 Original ASM)

db "rad", 0, 0, 0, 0, 0
dw FUNC74_END - FUNC74_START

FUNC74_START:
db 94, 139, 4, 36, 139, 92, 36, 4, 129, 227, 255, 3, 0, 0, 15, 191, 156, 95, 120, 5, 0, 0, 247, 235, 5, 255, 31, 0, 0, 131, 210, 0, 139, 79, 72, 15, 172, 208, 14, 43, 79, 68, 209, 233, 3, 200, 11, 201, 125, 4, 43, 201, 235, 10, 139, 71, 72, 59, 200, 124, 3, 141, 72, 255, 88, 91, 129, 235, 0, 1, 0, 0, 129, 227, 255, 3, 0, 0, 15, 191, 156, 95, 120, 5, 0, 0, 247, 235, 5, 255, 31, 0, 0, 131, 210, 0, 139, 95, 84, 15, 172, 208, 14, 43, 95, 80, 209, 235, 3, 216, 11, 219, 125, 4, 43, 219, 235, 10, 139, 71, 84, 59, 216, 124, 3, 141, 88, 255, 139, 87, 96, 43, 87, 92, 3, 183, 168, 69, 0, 0, 15, 175, 159, 160, 69, 0, 0, 15, 175, 202, 51, 192, 3, 217, 138, 4, 30, 80
FUNC74_END:

; =============================================================================
; Syntax:      c2d(x,y)
; Description: Angle displacement of the pixel at coordinates x,y
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 97 bytes)
; =============================================================================
; 58 5B 33 C9 0B C0 7D 05 F7 D8 80 C9 04 0B DB 7D 05 F7 DB 80 C9 03 3B C3 7E 04 80 F1 01 93 0B C0 7E 1B C1 E0 0A 99 F7 F3 74 13 66 8B 84 47 76 0D 00 00 C1 E0 09 99 BB 40 24 03 00 F7 FB 66 0F BA E1 00 73 07 F7 D8 05 00 01 00 00 66 0F BA E1 01 73 05 05 00 01 00 00 66 0F BA E1 02 73 02 F7 D8 50 (3.0.4 Original ASM)

db "c2d", 0, 0, 0, 0, 0
dw FUNC75_END - FUNC75_START

FUNC75_START:
db 88, 91, 51, 201, 11, 192, 125, 5, 247, 216, 128, 201, 4, 11, 219, 125, 5, 247, 219, 128, 201, 3, 59, 195, 126, 4, 128, 241, 1, 147, 11, 192, 126, 27, 193, 224, 10, 153, 247, 243, 116, 19, 102, 139, 132, 71, 118, 13, 0, 0, 193, 224, 9, 153, 187, 64, 36, 3, 0, 247, 251, 102, 15, 186, 225, 0, 115, 7, 247, 216, 5, 0, 1, 0, 0, 102, 15, 186, 225, 1, 115, 5, 5, 0, 1, 0, 0, 102, 15, 186, 225, 2, 115, 2, 247, 216, 80
FUNC75_END:

; =============================================================================
; Syntax:      c2m(x,y)
; Description: Magnitude displacement of the pixel at coordinates x,y
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 57 bytes)
; =============================================================================
; 5B 58 8B D0 C1 FA 1F 33 C2 2B C2 8B D3 C1 FA 1F 33 DA 2B DA 3B C3 75 07 B8 0A 6A 00 00 EB 11 7E 01 93 C1 E0 0A 99 F7 F3 0F B7 84 47 78 15 00 00 F7 E3 0F AC D0 10 03 C3 50 (3.0.4 Original ASM)

db "c2m", 0, 0, 0, 0, 0
dw FUNC76_END - FUNC76_START

FUNC76_START:
db 91, 88, 139, 208, 193, 250, 31, 51, 194, 43, 194, 139, 211, 193, 250, 31, 51, 218, 43, 218, 59, 195, 117, 7, 184, 10, 106, 0, 0, 235, 17, 126, 1, 147, 193, 224, 10, 153, 247, 243, 15, 183, 132, 71, 120, 21, 0, 0, 247, 227, 15, 172, 208, 16, 3, 195, 80
FUNC76_END:

; =============================================================================
; Syntax:      r2x(d,m)
; Description: x displacement of the pixel m units away, at an angle of d, from an arbitrary center
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 31 bytes)
; =============================================================================
; 58 5B 81 E3 FF 03 00 00 0F BF 9C 5F 78 05 00 00 F7 EB 05 FF 1F 00 00 83 D2 00 0F AC D0 0E 50 (3.0.4 Original ASM)

db "r2x", 0, 0, 0, 0, 0
dw FUNC77_END - FUNC77_START

FUNC77_START:
db 88, 91, 129, 227, 255, 3, 0, 0, 15, 191, 156, 95, 120, 5, 0, 0, 247, 235, 5, 255, 31, 0, 0, 131, 210, 0, 15, 172, 208, 14, 80
FUNC77_END:

; =============================================================================
; Syntax:      r2y(d,m)
; Description: y displacement of the pixel m units away, at an angle of d, from an arbitrary center
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 37 bytes)
; =============================================================================
; 58 5B 81 EB 00 01 00 00 81 E3 FF 03 00 00 0F BF 9C 5F 78 05 00 00 F7 EB 05 FF 1F 00 00 83 D2 00 0F AC D0 0E 50 (3.0.4 Original ASM)

db "r2y", 0, 0, 0, 0, 0
dw FUNC78_END - FUNC78_START

FUNC78_START:
db 88, 91, 129, 235, 0, 1, 0, 0, 129, 227, 255, 3, 0, 0, 15, 191, 156, 95, 120, 5, 0, 0, 247, 235, 5, 255, 31, 0, 0, 131, 210, 0, 15, 172, 208, 14, 80
FUNC78_END:

; =============================================================================
; Syntax:      sin(x)
; Description: Sine function of x, where x is an integer between 0 and 1024, inclusive, and the value returned is an integer between -512 and 512, inclusive (Windows) or -1024 and 1024, inclusive (Mac OS)
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 32 bytes)
; =============================================================================
; 58 2D 00 01 00 00 8B D8 C1 FB 1F 33 C3 2B C3 25 FF 03 00 00 0F BF 84 47 78 05 00 00 C1 F8 05 50 (3.0.4 Original ASM)

db "sin", 0, 0, 0, 0, 0
dw FUNC79_END - FUNC79_START

FUNC79_START:
db 88, 45, 0, 1, 0, 0, 139, 216, 193, 251, 31, 51, 195, 43, 195, 37, 255, 3, 0, 0, 15, 191, 132, 71, 120, 5, 0, 0, 193, 248, 5, 80
FUNC79_END:

; =============================================================================
; Syntax:      cos(x)
; Description: Cosine function of x, where x is an integer between 0 and 1024, inclusive, and the value returned is an integer between -512 and 512, inclusive (Windows) or -1024 and 1024, inclusive (Mac OS)
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 27 bytes)
; =============================================================================
; 58 8B D8 C1 FB 1F 33 C3 2B C3 25 FF 03 00 00 0F BF 84 47 78 05 00 00 C1 F8 05 50 (3.0.4 Original ASM)

db "cos", 0, 0, 0, 0, 0
dw FUNC80_END - FUNC80_START

FUNC80_START:
db 88, 139, 216, 193, 251, 31, 51, 195, 43, 195, 37, 255, 3, 0, 0, 15, 191, 132, 71, 120, 5, 0, 0, 193, 248, 5, 80
FUNC80_END:

; =============================================================================
; Syntax:      tan(x)
; Description: Bounded tangent function of x, where x is an integer between -256 and 256, inclusive, and the value returned is an integer between -512 and 512, inclusive (Windows) or -1024 and 1024, inclusive (Mac OS)
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 60 bytes)
; =============================================================================
; 58 8B D8 0B DB 7D 02 F7 DB 81 E3 FF 03 00 00 0F BF 9C 5F 78 05 00 00 2D 00 01 00 00 79 02 F7 D8 25 FF 03 00 00 0F BF 84 47 78 05 00 00 0B DB 75 04 33 C0 EB 06 C1 E0 0A 99 F7 FB 50 (3.0.4 Original ASM)

db "tan", 0, 0, 0, 0, 0
dw FUNC81_END - FUNC81_START

FUNC81_START:
db 88, 139, 216, 11, 219, 125, 2, 247, 219, 129, 227, 255, 3, 0, 0, 15, 191, 156, 95, 120, 5, 0, 0, 45, 0, 1, 0, 0, 121, 2, 247, 216, 37, 255, 3, 0, 0, 15, 191, 132, 71, 120, 5, 0, 0, 11, 219, 117, 4, 51, 192, 235, 6, 193, 224, 10, 153, 247, 251, 80
FUNC81_END:

; =============================================================================
; Syntax:      get(i)
; Description: Returns the current cell value at i
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 20 bytes)
; =============================================================================
; 58 0B C0 7C 0E 3D FF 00 00 00 7F 07 8B 84 87 78 35 00 00 50 (3.0.4 Original ASM)

db "get", 0, 0, 0, 0, 0
dw FUNC82_END - FUNC82_START

FUNC82_START:
db 88, 11, 192, 124, 14, 61, 255, 0, 0, 0, 127, 7, 139, 132, 135, 120, 53, 0, 0, 80
FUNC82_END:

; =============================================================================
; Syntax:      put(v,i)
; Description: Puts the new value v into cell i
; Changelog:   3.0.4 Adobe Systems, Inc. (size = 21 bytes)
; =============================================================================
; 58 5B 0B C0 7C 0E 3D FF 00 00 00 7F 07 89 9C 87 78 35 00 00 53 (3.0.4 Original ASM)

db "put", 0, 0, 0, 0, 0
dw FUNC83_END - FUNC83_START

FUNC83_START:
db 88, 91, 11, 192, 124, 14, 61, 255, 0, 0, 0, 127, 7, 137, 156, 135, 120, 53, 0, 0, 83
FUNC83_END:

; =============================================================================

db 0, 0, 0, 0, 0, 0, 0, 0
dw 0
